<mat-toolbar color="primary">
  <mat-toolbar-row fxLayout="row">
    <div fxFlex
      fxLayout="row"
      fxLayoutAlign="start center">
      <span>{{'products.list' | translate}}</span>
    </div>
    <div fxFlex
      fxLayout="row"
      fxLayoutAlign="end center">
      <button mat-raised-button
        color="primary"
        (click)="onSignoutClick($event)">{{'signout' | translate}}</button>
    </div>
  </mat-toolbar-row>
</mat-toolbar>

<div class="example-container mat-elevation-z8">
  <mat-table #table
    [dataSource]="dataSource">

    <ng-container matColumnDef="productID">
      <mat-header-cell *matHeaderCellDef>{{'no' | translate}}</mat-header-cell>
      <mat-cell *matCellDef="let element"> {{element.productID}} </mat-cell>
    </ng-container>

    <ng-container matColumnDef="name">
      <mat-header-cell *matHeaderCellDef>{{'name' | translate}}</mat-header-cell>
      <mat-cell *matCellDef="let element"> {{element.name}} </mat-cell>
    </ng-container>

    <ng-container matColumnDef="price">
      <mat-header-cell *matHeaderCellDef>{{'price' | translate}}</mat-header-cell>
      <mat-cell *matCellDef="let element"> {{element.price | currency:'PLN':'symbol-narrow':'1.0-2':'pl'}} </mat-cell>
    </ng-container>

    <ng-container matColumnDef="description">
      <mat-header-cell *matHeaderCellDef>{{'description' | translate}}</mat-header-cell>
      <mat-cell *matCellDef="let element"> {{element.description}} </mat-cell>
    </ng-container>

    <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
    <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>
  </mat-table>
  <mat-paginator #paginator
    [pageSize]="5"
    [pageSizeOptions]="[5, 10]"
    [showFirstLastButtons]="true">
  </mat-paginator>
</div>